const EAST = "e"
const WEST = "w"
const NORTH = "n"
const SOUTH = "s"

var position = Vector3(0, 0, 0)

var tile = preload("res://scenes/level/sub_element_holder.gd").new()
var object = preload("res://scenes/level/sub_element_holder.gd").new()
var floor_object = preload("res://scenes/level/sub_element_holder.gd").new()

var sub_elements = []

func _init(x, y, z):
	self.position.x = x
	self.position.y = y
	self.position.z = z

	self.sub_elements  = [
		self.tile,
		self.object,
		self.floor_object,
	]


func has_content():
	for sub_element in self.sub_elements:
		if sub_element.is_present():
			return true
	return false


func get_dict():
	return {
		"tile" : self.tile.get_dict(),
		"object" : self.object.get_dict(),
		"floor_object" : self.floor_object.get_dict(),

	}


func wipe():
	self.tile.clear()
	self.object.clear()
	self.floor_object.clear()
